| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Static Public Member Functions | List of all members
Digikam::MigrateFromDigikam4Page Class Reference
Inheritance diagram for Digikam::MigrateFromDigikam4Page:

## Public Slots
void | migrationToggled (bool b)

## Public Member Functions
| MigrateFromDigikam4Page (QWizard *const dlg)
void | doMigration ()
bool | isMigrationChecked () const
| Returns true if the user selected to do a migration.
int | nextId () const override
Public Member Functions inherited from Digikam::DWizardPage
| DWizardPage (QWizard *const dlg, const QString &title)
QWizard * | assistant () const
int | id () const
bool | isComplete () const override
void | removePageWidget (QWidget *const w)
void | setComplete (bool b)
void | setLeftBottomPix (const QIcon &icon)
void | setLeftBottomPix (const QPixmap &pix)
void | setPageWidget (QWidget *const w)
void | setShowLeftView (bool v)

## Static Public Member Functions
static bool | checkForMigration ()
| Return true if migration data are available on the system.